<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/root_layout"

        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#B3000000">

    <ImageView
            android:id="@+id/iv_bg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop" />

    <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#33282E3F" />


    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingTop="30dp">

        <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/csl_layout"
                android:layout_width="104dp"
                android:layout_height="36dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_meditation_play_top"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

            <ImageView
                    android:id="@+id/iv_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="16dp"
                    android:paddingVertical="8dp"
                    android:src="@drawable/icon_close_play_meditation"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            <View
                    android:layout_width="0.5dp"
                    android:layout_height="20dp"
                    android:background="#FFE8E8E8"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                    android:id="@+id/iv_back"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="16dp"
                    android:paddingVertical="9dp"
                    android:src="@drawable/icon_play_meditation_down_arrow"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
                android:id="@+id/iv_share"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="17dp"
                android:padding="5dp"
                android:src="@drawable/icon_play_meditation_share"
                app:layout_constraintBottom_toBottomOf="@id/csl_layout"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/csl_layout" />

        <TextView
                android:id="@+id/tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:layout_marginTop="150dp"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/csl_layout"
                tools:text="舒缓安神舒神舒缓安神舒缓安神舒缓安神舒缓安神" />

        <TextView
                android:id="@+id/tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="16sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_title"
                tools:text="舒缓安神舒缓安神舒缓安神舒缓安神舒缓安神舒缓安神舒缓安神舒缓安神" />

        <include
                android:id="@+id/player_control_layout"
                android:visibility="gone"
                layout="@layout/player_control_view" />

        <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guide_line"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.5" />

        <LinearLayout
                android:id="@+id/ll_pure_music_time_off"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center_horizontal"
                app:layout_constraintStart_toStartOf="@id/guide_line"
                app:layout_constraintEnd_toEndOf="@id/guide_line"
                app:layout_constraintTop_toTopOf="@id/iv_collect"
                tools:visibility="visible"
                android:visibility="gone">

            <ImageView
                    android:id="@+id/iv_time_off_pure_music"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/icon_play_meditation_time_off" />

            <TextView
                    android:id="@+id/tv_time_off_pure_music"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:gravity="center"
                    tools:text="56:32"
                    android:textSize="12sp"
                    android:textColor="@color/white" />

        </LinearLayout>

        <ImageView
                android:id="@+id/iv_collect"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="50dp"
                android:layout_marginBottom="48dp"
                android:src="@drawable/icon_play_meditation_collect"
                app:layout_constraintBottom_toTopOf="@id/seekbar_play_progress"
                app:layout_constraintEnd_toStartOf="@id/guide_line" />

        <ImageView
                android:id="@+id/iv_pure_music_list"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginBottom="48dp"
                android:src="@drawable/icon_pure_music_list"
                app:layout_constraintBottom_toTopOf="@id/seekbar_play_progress"
                app:layout_constraintStart_toEndOf="@id/guide_line"
                tools:visibility="visible"
                android:visibility="gone" />

        <ImageView
                android:id="@+id/iv_time_off"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginBottom="48dp"
                android:src="@drawable/icon_play_meditation_time_off"
                app:layout_constraintBottom_toTopOf="@id/seekbar_play_progress"
                app:layout_constraintStart_toEndOf="@id/guide_line"
                tools:visibility="gone" />

        <TextView
                android:id="@+id/tv_time_off"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                tools:text="56:32"
                android:textSize="12sp"
                android:textColor="@color/white"
                app:layout_constraintTop_toBottomOf="@id/iv_time_off"
                app:layout_constraintStart_toStartOf="@id/iv_time_off"
                app:layout_constraintEnd_toEndOf="@id/iv_time_off" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>